--- title: "Register Webhook" slug: "register-webhook-2" updated: 2026-02-11T20:38:32Z published: 2026-02-11T22:15:21Z canonical: "support.fullcast.com/register-webhook-2" stale: true --- > ## Documentation Index > Fetch the complete documentation index at: https://support.fullcast.com/llms.txt > Use this file to discover all available pages before exploring further. # Register Webhook Post/webhook You can register webhook endpoints via the API to be notified about workflow events that happen in your workspace. ## Register Webhook[](https://docs.copy.ai/reference/register-webhook#register-webhook) To register a webhook, send a POST request to `https://api.copy.ai/api/webhook` with a JSON body containing your webhook URL, the event type you want to be notified about, and an *optional* workflow ID. **For example:** **POST** JSONJSON ```json { "url": "", "eventType": "workflowRun.completed", "workflowId": "" } ``` **Response:** JSONJSON ```json { "status": "success", "data": { "id": "", "url": "", "eventType": "workflowRun.completed", "workflowId": "" } } ``` **Note:** If a workflow ID is not included, you will receive events for all workflows in your workspace. ## Event Types[](https://docs.copy.ai/reference/register-webhook#event-types) | Event Type | Description | | --- | --- | | `workflowRun.started` | Sends an event anytime a workflow run is started. | | `workflowRun.completed` | Sends an event anytime a workflow run is completed. | | `workflowRun.failed` | Sends an event anytime a workflow run fails. | | `workflowCreditLimit.reached` | Sends an event when your workspace reaches the credit limit. | SecurityAPI Key: ApiKeyAuthHeader parameter namex-copy-ai-api-key Copy.ai API key for authentication Header parametersx-copy-ai-api-keystringRequired Body parametersexample1 ```json { "url": "https://mywebsite.com/webhook", "eventType": "workflowRun.completed", "workflowId": "" } ``` object urlstring Required eventTypestring RequiredValid values[ "workflowRun.started", "workflowRun.completed", "workflowRun.failed", "workflowCreditLimit.reached" ] workflowIdstring Responses200 Success success ```json { "status": "success", "data": { "id": "", "url": "https://mywebsite.com/webhook", "eventType": "workflowRun.completed", "workflowId": "" } } ``` Expand Allobject statusstring dataobject (WebhookData) idstring urlstring eventTypestring workflowIdstring 400 Bad Request object statusstring errorCodestring 404 Not Found object statusstring errorCodestring 422 Validation Error Expand Allobject statusstring errorCodestring detailsobject